# trac.ini for project: ::tmp.prjname::
#
# created by ::tmp.logname:: on ::tmp.today::
#
# ::copy::
# ::maintainer::
#
# IMPORTANT!  REMOVE THIS LINE IF YOU EDIT THIS FILE!
#
#  if you manually edit this file, remove at least the above line
#  so kusa tools will not overwrite your changes!
#
#
# -*- coding: utf-8 -*-

[account-manager]
force_passwd_change = true
password_file = ::tmp.trac_envdir::/htpasswd
password_store = HtPasswdStore

[attachment]
max_size = 262144
render_unsafe_content = false

[browser]
color_scale = True
downloadable_paths = /trunk, /branches/*, /tags/*
hide_properties = svk:merge
intermediate_color = 
intermediate_point = 
newest_color = (255, 136, 136)
oldest_color = (136, 136, 255)
oneliner_properties = trac:summary
render_unsafe_content = false
wiki_properties = trac:description

[changeset]
max_diff_bytes = 10000000
max_diff_files = 0
wiki_format_messages = true

[header_logo]
alt = ::tmp.company_name::
height = -1
link =  ::tmp.company_url::
src = ::tmp.company_logo::
width = -1

[inherit]
plugins_dir = 
templates_dir = 

[logging]
log_file = trac.log
# log_format = <inherited>
log_level = DEBUG
log_type = none

[milestone]
stats_provider = DefaultTicketGroupStatsProvider

[mimeviewer]
enscript_modes = text/x-dylan:dylan:4
enscript_path = enscript
max_preview_size = 262144
mime_map = text/x-dylan:dylan,text/x-idl:ice,text/x-ada:ads:adb
php_path = php
pygments_default_style = trac
pygments_modes = 
tab_width = 8

[notification]
admit_domains = 
always_notify_owner = false
always_notify_reporter = false
always_notify_updater = true
ignore_domains = 
mime_encoding = base64
smtp_always_bcc = 
smtp_always_cc = 
smtp_default_domain = 
smtp_enabled = false
smtp_from = ::tmp.email::
smtp_from_name = 
smtp_password = 
smtp_port = 25
smtp_replyto = ::tmp.email::
smtp_server = ::tmp.smtp_server::
smtp_subject_prefix = __default__
smtp_user = 
ticket_subject_template = $prefix #$ticket.id: $summary
use_public_cc = false
use_short_addr = false
use_tls = false

[project]
admin = 
descr = ::tmp.prjdesc::
footer = Visit the Trac open source project at<br /><a href="http://trac.edgewall.org/">http://trac.edgewall.org/</a>
icon = common/trac.ico
name = ::tmp.prjname::
url = 

[query]
default_anonymous_query = status!=closed&cc~=$USER
default_query = status!=closed&owner=$USER
items_per_page = 100

[report]
items_per_page = 100
items_per_page_rss = 0

[revisionlog]
default_log_limit = 100

[roadmap]
stats_provider = DefaultTicketGroupStatsProvider

[search]
min_query_length = 3

[spam-filter]
akismet_api_key = 
akismet_api_url = rest.akismet.com/1.1/
akismet_karma = 5
attachment_sample_size = 16384
bayes_karma = 10
bayes_min_training = 25
extlinks_karma = 2
ip_blacklist_karma = 5
ip_blacklist_servers = bsb.empty.us, sc.surbl.org
ip_throttle_karma = 3
logging_enabled = true
max_external_links = 4
max_posts_by_ip = 10
min_karma = 0
purge_age = 7
regex_karma = 5
session_karma = 9
trust_authenticated = true

[svn]
branches = trunk,branches/*
tags = tags/*

[ticket]
default_cc = 
default_component = 
default_description = 
default_keywords = 
default_milestone = 
default_owner = 
default_priority = major
default_resolution = fixed
default_severity = 
default_summary = 
default_type = defect
default_version = 
max_description_size = 262144
preserve_newlines = default
restrict_owner = false
workflow = ConfigurableTicketWorkflow

[ticket-workflow]
accept = new,assigned,accepted,reopened -> accepted
accept.operations = set_owner_to_self
accept.permissions = TICKET_MODIFY
leave = * -> *
leave.default = 1
leave.operations = leave_status
reassign = new,assigned,accepted,reopened -> assigned
reassign.operations = set_owner
reassign.permissions = TICKET_MODIFY
reopen = closed -> reopened
reopen.operations = del_resolution
reopen.permissions = TICKET_CREATE
resolve = new,assigned,accepted,reopened -> closed
resolve.operations = set_resolution
resolve.permissions = TICKET_MODIFY

[timeline]
abbreviated_messages = true
changeset_collapse_events = false
changeset_long_messages = false
changeset_show_files = 0
default_daysback = 30
max_daysback = 90
newticket_formatter = oneliner
ticket_show_details = false

[trac]
authz_file = 
authz_module_name = 
auto_reload = False
base_url = 
check_auth_ip = true
database = sqlite:db/trac.db
default_charset = iso-8859-15
htdocs_location = 
ignore_auth_case = false
mainnav = wiki,timeline,roadmap,browser,tickets,newticket,search
metanav = login,logout,prefs,help,about
permission_policies = DefaultPermissionPolicy, LegacyAttachmentPolicy
permission_store = DefaultPermissionStore
repository_dir = ::tmp.bzrdir::
repository_type = bzr
show_email_addresses = false
timeout = 20
use_base_url_for_redirect = False

[wiki]
ignore_missing_pages = false
render_unsafe_content = false
split_page_names = false

[components]
acct_mgr.admin.accountmanageradminpage = enabled
acct_mgr.api.accountmanager = enabled
acct_mgr.htfile.abstractpasswordfilestore = enabled
acct_mgr.htfile.htpasswdstore = enabled
acct_mgr.web_ui.loginmodule = enabled
trac.web.auth.loginmodule = disabled
tracbzr.* = enabled
